# Class MessageStartEventData

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents data for a message_start event.

    public class MessageStartEventData : EventData

Inheritance
  object
  EventData
  MessageStartEventData

Inherited Members
  EventData.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### MessageStartEventData(MessageResponse)

Initializes a new instance of the MessageStartEventData class.

    public MessageStartEventData(MessageResponse message)

#### Parameters

`message` MessageResponse

  The message.

## Properties

### Message

Gets the message.

    public MessageResponse Message { get; init; }

#### Property Value

MessageResponse